Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.util
Class DefaultExceptionHandler

    java.lang.Object
      org.jboss.mx.util.DefaultExceptionHandler

All Implemented Interfaces:
  ProxyExceptionHandler

public class DefaultExceptionHandler
extends Object
implements ProxyExceptionHandler

Default exception handler for MBean proxy.

Version:
  $Revision: 1.4 $
Author:
  Juha Lindfors.

Constructor Summary
`DefaultExceptionHandler()`

Method Summary
`Object` | `handleAttributeNotFound(ProxyContext ctx, AttributeNotFoundException e, Method m, Object[] args)`
`Object` | `handleInstanceNotFound(ProxyContext ctx, InstanceNotFoundException e, Method m, Object[] args)`
`Object` | `handleInvalidAttributeValue(ProxyContext ctx, InvalidAttributeValueException e, Method m, Object[] args)`
`Object` | `handleMBeanException(ProxyContext ctx, MBeanException e, Method m, Object[] args)`
`Object` | `handleReflectionException(ProxyContext ctx, ReflectionException e, Method m, Object[] args)`
`Object` | `handleRuntimeError(ProxyContext ctx, RuntimeErrorException e, Method m, Object[] args)`
`Object` | `handleRuntimeMBeanException(ProxyContext ctx, RuntimeMBeanException e, Method m, Object[] args)`
`Object` | `handleRuntimeOperationsException(ProxyContext ctx, RuntimeOperationsException e, Method m, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExceptionHandler

    public DefaultExceptionHandler()

Method Detail

### handleInstanceNotFound

    public Object handleInstanceNotFound(ProxyContext ctx,
                                         InstanceNotFoundException e,
                                         Method m,
                                         Object[] args)
                                  throws Exception

  Specified by:
    `handleInstanceNotFound` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleAttributeNotFound

    public Object handleAttributeNotFound(ProxyContext ctx,
                                          AttributeNotFoundException e,
                                          Method m,
                                          Object[] args)
                                   throws Exception

  Specified by:
    `handleAttributeNotFound` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleInvalidAttributeValue

    public Object handleInvalidAttributeValue(ProxyContext ctx,
                                              InvalidAttributeValueException e,
                                              Method m,
                                              Object[] args)
                                       throws Exception

  Specified by:
    `handleInvalidAttributeValue` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleMBeanException

    public Object handleMBeanException(ProxyContext ctx,
                                       MBeanException e,
                                       Method m,
                                       Object[] args)
                                throws Exception

  Specified by:
    `handleMBeanException` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleReflectionException

    public Object handleReflectionException(ProxyContext ctx,
                                            ReflectionException e,
                                            Method m,
                                            Object[] args)
                                     throws Exception

  Specified by:
    `handleReflectionException` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleRuntimeOperationsException

    public Object handleRuntimeOperationsException(ProxyContext ctx,
                                                   RuntimeOperationsException e,
                                                   Method m,
                                                   Object[] args)
                                            throws Exception

  Specified by:
    `handleRuntimeOperationsException` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleRuntimeMBeanException

    public Object handleRuntimeMBeanException(ProxyContext ctx,
                                              RuntimeMBeanException e,
                                              Method m,
                                              Object[] args)
                                       throws Exception

  Specified by:
    `handleRuntimeMBeanException` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

### handleRuntimeError

    public Object handleRuntimeError(ProxyContext ctx,
                                     RuntimeErrorException e,
                                     Method m,
                                     Object[] args)
                              throws Exception

  Specified by:
    `handleRuntimeError` in interface `ProxyExceptionHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.